Kotlin version that is used for building with Gradle (1.3.50) differs from the one bundled into the IDE plugin (1.5.0-release-764)

Answered
Android Studio 4.2 Stable built: AI-202.7660.26.42.7322048 use kotlinc 1.5.0-release-764

IDE plugin (1.5.0-release-764)
does not seem to be publicly accessible (503) and can not be reached (504)

How can I deal with this problem? I do not know how and what to do, gradlew lint will fail


buildscript {
ext.kotlin_version = '1.3.50'
repositories {
google()
mavenCentral()
}

dependencies {
classpath 'com.android.tools.build:gradle:4.2.0'
classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
}
}
10 comments
Comment actions Permalink

Hello,

For my work environment Gradle works normally with the same IDE and Kotlin versions.

gradlew lint will fail

Please provide a complete error output or a couple of screenshots showing the problem. A project sample also would be helpful.

The files can be uploaded at https://uploads.jetbrains.com (do not forget to specify the UploadID)

1
Comment actions Permalink

thanks, Egor, I will provide you with more detail as soon as possible, next time I post 

0
Comment actions Permalink

 

Hello Egor,

here a 'demo' of what is happening as far as gradlew lint is concerned

Upload id: 2021_05_10_2vkmkNApMoWMQEmP (files: demo_igor.pdf and 5 more)

Thanks

 

 

0
Comment actions Permalink

This is a bug that will be fixed in Kotlin 1.5.10: https://youtrack.jetbrains.com/issue/KTIJ-11590

0
Comment actions Permalink

Thank you @alexey and @egor for your concerns. When will kotlin 1.5.10  be release? Because on the stable Android version we can do nothing except from waiting... 🤔 Anyway thank you so much for this clarification and transparency

0
Comment actions Permalink

We'll release 1.5.10 in a few weeks.

1
Comment actions Permalink

The release has been done! Thanks a lot. Unfortunately, gradlew lint is still not working.

at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:78)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

Upload id: 2021_05_27_BeLJmRT9v3Us9xHF (files: DelegatingMethodAccessoImpl_class.txt and 3 more)

  • gradlew lint result
  • gradlew lint --stacktrace
  • DelegatingMethodAccessoImpl.class
  • NativeMethodAccessorImpl.class

I am on PC Windows, open jdk 16

I post here as some files are :

recreated from a .class file by IntelliJ IDEA

I really do not know what to do.

Thanks for any guidance

 

0
Comment actions Permalink

Hi, looks like this is an Android bug, can you please file a bug report to https://source.android.com/setup/contribute/report-bugs

0
Comment actions Permalink

https://issuetracker.google.com/issues/189350498

hope something will be done, it was working so well before those updates

0
Comment actions Permalink

meanwhile, I have a question:  are you making JDK 11.011 the one to use and why?

0

Please sign in to leave a comment.